@import url('https://fonts.googleapis.com/css2?family=IM+Fell+DW+Pica&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Meddon&display=swap');
@import url("https://fonts.googleapis.com/css2?family=Martel:wght@400;800&family=Roboto:wght@300;400;500&display=swap");
/* Global styles */
.window-app {
  font-family: "IM Fell DW Pica", serif;
}

.rollable:hover, .rollable:focus {
  color: #000;
  text-shadow: 0 0 10px red;
  cursor: pointer;
}

.rollable-as-club:hover, .rollable:focus {
  color: #000;
  text-shadow: 0 0 10px red;
  cursor: pointer;
}

.grid,
.grid-2col {
  display: grid;
  grid-column: span 2 / span 2;
  grid-template-columns: repeat(2, minmax(0, 1fr));
  gap: 10px;
  margin: 10px 0;
  padding: 0;
}

.grid-3col {
  grid-column: span 3 / span 3;
  grid-template-columns: repeat(3, minmax(0, 1fr));
}

.grid-4col {
  grid-column: span 4 / span 4;
  grid-template-columns: repeat(4, minmax(0, 1fr));
}

.grid-5col {
  grid-column: span 5 / span 5;
  grid-template-columns: repeat(5, minmax(0, 1fr));
}

.grid-6col {
  grid-column: span 5 / span 5;
  grid-template-columns: repeat(5, minmax(0, 1fr));
}

.grid-7col {
  grid-column: span 7 / span 7;
  grid-template-columns: repeat(7, minmax(0, 1fr));
}

.grid-8col {
  grid-column: span 8 / span 8;
  grid-template-columns: repeat(8, minmax(0, 1fr));
}

.grid-9col {
  grid-column: span 9 / span 9;
  grid-template-columns: repeat(9, minmax(0, 1fr));
}

.grid-10col {
  grid-column: span 10 / span 10;
  grid-template-columns: repeat(10, minmax(0, 1fr));
}

.grid-11col {
  grid-column: span 11 / span 11;
  grid-template-columns: repeat(11, minmax(0, 1fr));
}

.grid-12col {
  grid-column: span 12 / span 12;
  grid-template-columns: repeat(12, minmax(0, 1fr));
}

.flex-group-center,
.flex-group-left,
.flex-group-right {
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  text-align: center;
  padding: 5px;
  border: 1px solid #999;
}

.flex-left {
  -webkit-box-pack: start;
  -ms-flex-pack: start;
  justify-content: left;
  text-align: left;
}

.flex-right {
  -webkit-box-pack: end;
  -ms-flex-pack: end;
  justify-content: flex-end;
  text-align: right;
}

.flex-center {
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  text-align: center;
}

.flex-between {
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
}

/* Styles limited to renaissance sheets */
.renaissance .item-form {
  font-family: "Meddon", cursive;
}

.renaissance .sheet-header {
  -webkit-box-flex: 0;
  -ms-flex: 0 0 215px;
  flex: 0 0 215px;
  overflow: hidden;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
  -ms-flex-direction: row;
  flex-direction: row;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-box-pack: start;
  -ms-flex-pack: start;
  justify-content: flex-start;
  margin-bottom: 10px;
}

.renaissance .sheet-header .profile-img {
  -webkit-box-flex: 0;
  -ms-flex: 0 0 100px;
  flex: 0 0 100px;
  height: 200px;
  margin-right: 10px;
}

.renaissance .sheet-header .header-fields {
  -webkit-box-flex: 1;
  -ms-flex: 1;
  flex: 1;
}

.renaissance .sheet-header h1.charname {
  font-family: "Meddon", cursive;
  height: 50px;
  padding: 0px;
  margin: 5px 0;
  border-bottom: 0;
}

.renaissance .sheet-header h1.charname input {
  width: 100%;
  height: 100%;
  margin: 0;
}

.renaissance .creature-sheet-header {
  -webkit-box-flex: 0;
  -ms-flex: 0 0 700px;
  flex: 0 0 700px;
  overflow: hidden;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
  -ms-flex-direction: row;
  flex-direction: row;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-box-pack: start;
  -ms-flex-pack: start;
  justify-content: flex-start;
  margin-bottom: 10px;
}

.renaissance .creature-sheet-header .profile-img {
  -webkit-box-flex: 0;
  -ms-flex: 0 0 100px;
  flex: 0 0 100px;
  height: 200px;
  margin-right: 5px;
}

.renaissance .creature-sheet-header .header-fields {
  -webkit-box-flex: 1;
  -ms-flex: 1;
  flex: 1;
}

.renaissance .creature-sheet-header h1.charname {
  font-family: "Meddon", cursive;
  height: 50px;
  padding: 0px;
  margin: 5px 0;
  border-bottom: 0;
}

.renaissance .creature-sheet-header h1.charname input {
  width: 100%;
  height: 100%;
  margin: 0;
}


.renaissance .sheet-tabs {
  font-family: "Meddon", cursive;
  -webkit-box-flex: 0;
  -ms-flex: 0;
  flex: 0;
}

.renaissance .sheet-body,
.renaissance .sheet-body .tab,
.renaissance .sheet-body .tab .editor {
  height: 100%;
}

.renaissance .tox .tox-editor-container {
  background: #fff;
}

.renaissance .tox .tox-edit-area {
  padding: 0 8px;
}

.renaissance .resource-label {
  font-family: "Meddon", cursive;
  font-weight: bold;
  text-transform: capitalize;
}

.renaissance .resource-value {
  font-family: "IM Fell DW Pica", serif;
  font-size: large;
  text-transform: capitalize;
}

.renaissance .tabs {
  height: 40px;
  border-top: 1px solid #AAA;
  border-bottom: 1px solid #AAA;
}

.renaissance .tabs .item {
  font-style: italic;
  line-height: 40px;
  font-weight: bold;
}

.renaissance .tabs .item.active {
  text-decoration: underline;
  text-shadow: none;
}

.renaissance .items-list {
  list-style: none;
  margin: 7px 0;
  padding: 0;
  overflow-y: auto;
}

.renaissance .items-list .item-header {
  font-family: "Meddon", cursive;
  font-weight: bold;
}

.renaissance .items-list .item {
  font-style: italic;
  height: 30px;
  line-height: 24px;
  padding: 3px 0;
  border-bottom: 1px solid #BBB;
}

.renaissance .items-list .item .item-image {
  -webkit-box-flex: 0;
  -ms-flex: 0 0 24px;
  flex: 0 0 24px;
  margin-right: 5px;
}

.renaissance .items-list .item img {
  display: block;
}

.renaissance .items-list .item-name {
  margin: 0;
}

.renaissance .items-list .item-controls {
  -webkit-box-flex: 0;
  -ms-flex: 0 0 86px;
  flex: 0 0 86px;
  text-align: right;
}

.archmage.chat-card {
  font-family: "Meddon", cursive; 
}